summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorAndrea Girotto2020-01-18 11:34:20 +0100
committerAndrea Girotto2020-01-18 11:34:20 +0100
commited2af363b00c466008b60b3d0a06fe6767942b2b (patch)
tree006a1e487d91ddc97b522ca6515ca2b48f3fd163
parent990a8d0770511aa12228ae24028677862c756f3b (diff)
downloadaur-ed2af363b00c466008b60b3d0a06fe6767942b2b.tar.gz
Updated the upstream URL
-rw-r--r--.SRCINFO10
-rw-r--r--PKGBUILD20
-rw-r--r--archlinux.patch5
3 files changed, 13 insertions, 22 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 0eb84358ffd..7cac7134a99 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,9 +1,7 @@
-# Generated by mksrcinfo v8
-# Tue Feb 23 02:20:27 UTC 2016
pkgbase = guile-dbd-postgresql
pkgdesc = guile-dbi database driver postgresql
pkgver = 2.1.6
- pkgrel = 1
+ pkgrel = 2
url = http://home.gna.org/guile-dbi/
arch = i686
arch = x86_64
@@ -11,9 +9,9 @@ pkgbase = guile-dbd-postgresql
depends = guile-dbi>=2.1.2
depends = postgresql-libs
source = archlinux.patch
- source = http://download.gna.org/guile-dbi/guile-dbd-postgresql-2.1.6.tar.gz
- md5sums = 12e77b8ad0c512571a1be829c5e045e6
- md5sums = 93e6271b4b9ad9abac3fa16cd0b114ad
+ source = https://github.com/opencog/guile-dbi/archive/guile-dbd-postgresql-2.1.6.tar.gz
+ md5sums = f78f6657871b899c2f1442ff5e257d84
+ md5sums = ce9370e8e423132c33290de90ae349e2
pkgname = guile-dbd-postgresql
diff --git a/PKGBUILD b/PKGBUILD
index 94335b0fa3d..f13dbe9329d 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,32 +1,26 @@
# Maintainer: Andrea Girotto <andrea (dot) girotto (at) gmail (dot) com>
pkgname=guile-dbd-postgresql
pkgver=2.1.6
-pkgrel=1
+pkgrel=2
pkgdesc='guile-dbi database driver postgresql'
arch=(i686 x86_64)
license=(GPL2)
depends=('guile-dbi>=2.1.2' postgresql-libs)
url=http://home.gna.org/guile-dbi/
source=(archlinux.patch
- http://download.gna.org/guile-dbi/${pkgname}-${pkgver}.tar.gz)
-md5sums=('12e77b8ad0c512571a1be829c5e045e6'
- '93e6271b4b9ad9abac3fa16cd0b114ad')
+ https://github.com/opencog/guile-dbi/archive/${pkgname}-${pkgver}.tar.gz)
+md5sums=('f78f6657871b899c2f1442ff5e257d84'
+ 'ce9370e8e423132c33290de90ae349e2')
build(){
cd ${srcdir}
patch -p0 < archlinux.patch
- cd ${srcdir}/${pkgname}-${pkgver}
- libtoolize
- aclocal
- autoscan
- autoheader
- automake
- autoconf
- ./configure --prefix=/usr || return 1
+ cd ${srcdir}/guile-dbi-${pkgname}-${pkgver}
+ ./autogen.sh --prefix=/usr || return 1
make
}
package() {
- cd ${srcdir}/${pkgname}-${pkgver}
+ cd ${srcdir}/guile-dbi-${pkgname}-${pkgver}
make DESTDIR=${pkgdir} install
}
diff --git a/archlinux.patch b/archlinux.patch
index db67f517b11..684bd7563be 100644
--- a/archlinux.patch
+++ b/archlinux.patch
@@ -1,6 +1,5 @@
-diff -Naur guile-dbd-postgresql-2.1.6/src/guile-dbd-postgresql.c guile-dbd-postgresql-2.1.6-new/src/guile-dbd-postgresql.c
---- guile-dbd-postgresql-2.1.6/src/guile-dbd-postgresql.c 2008-12-13 23:44:28.000000000 +0100
-+++ guile-dbd-postgresql-2.1.6-new/src/guile-dbd-postgresql.c 2013-10-05 20:18:38.770299378 +0200
+--- guile-dbi-guile-dbd-postgresql-2.1.6/src/guile-dbd-postgresql.c 2015-08-02 04:53:32.000000000 +0200
++++ guile-dbi-guile-dbd-postgresql-2.1.6-new/src/guile-dbd-postgresql.c 2020-01-18 11:22:48.512807750 +0100
@@ -24,7 +24,7 @@
#include <guile-dbi/guile-dbi.h>